summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2020-12-19 12:59:01 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2020-12-19 12:59:01 +0000
commit7113c8710a9b513fa264f087acc601002723c388 (patch)
tree23f39e0d52d72e0b83d0867dbb40159cea37bde8 /dev-python
parent7bde8a62bfb194401379e58a31c7339efcaec2f2 (diff)
downloadbaldeagleos-repo-7113c8710a9b513fa264f087acc601002723c388.tar.gz
baldeagleos-repo-7113c8710a9b513fa264f087acc601002723c388.tar.xz
baldeagleos-repo-7113c8710a9b513fa264f087acc601002723c388.zip
Updating liguros repo
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.16.40.ebuild56
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.19.40.ebuild59
-rw-r--r--dev-python/cfn-python-lint/Manifest1
-rw-r--r--dev-python/cfn-python-lint/cfn-python-lint-0.44.1.ebuild49
-rw-r--r--dev-python/clang-python/Manifest1
-rw-r--r--dev-python/clang-python/clang-python-11.0.1_rc2.ebuild41
-rw-r--r--dev-python/lit/Manifest1
-rw-r--r--dev-python/lit/lit-11.0.1_rc2.ebuild40
-rw-r--r--dev-python/msgpack/Manifest1
-rw-r--r--dev-python/msgpack/msgpack-1.0.2.ebuild39
-rw-r--r--dev-python/pysimdjson/pysimdjson-3.1.1-r1.ebuild (renamed from dev-python/pysimdjson/pysimdjson-3.1.1.ebuild)2
-rw-r--r--dev-python/sqlalchemy/Manifest1
-rw-r--r--dev-python/sqlalchemy/sqlalchemy-1.3.22.ebuild67
-rw-r--r--dev-python/watchdog/Manifest1
-rw-r--r--dev-python/watchdog/watchdog-1.0.2.ebuild39
17 files changed, 399 insertions, 1 deletions
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index cfc0e5664b26..bfafa4b51ac3 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -5,3 +5,4 @@ DIST boto3-1.16.36.tar.gz 341458 BLAKE2B 7e4cf667cd59caa8433226eb6914412370bfa4c
DIST boto3-1.16.37.tar.gz 341684 BLAKE2B 4c9e7389ae4620edbb9cee2accfe6e7b520998b0a1110444d137387a098ed027a281e69a9bf6b2d3383a51b60b6dac16695b867ee27f44a9180459dd8a4b55b4 SHA512 1105b00d6aed4ebd36b77b21c6a3370dd1f34669df2621cd13dd776788d7fdd469086fd6956920632bf33a5291b14514518046983afd95441d54b35dc68347c2
DIST boto3-1.16.38.tar.gz 341739 BLAKE2B 75cad4c53ae951b8f913e533dc73f6b5e0bfebe416cb28b7a7700b848a39f0e46e225a5d9c926a3343412d0ea90405c2f22ee6e2ba996c42fab3c62bc77cf5e6 SHA512 9f9edd5a9b3b9695c453e86d29b33271134d297772b0d1e6bc440bb6a87918144c4fee16a629d67be174b756392fa7417374e12dc866d19da24174ebbf31e368
DIST boto3-1.16.39.tar.gz 341915 BLAKE2B 286a06b3e8bd6f2a1ddfb017705f19c4f73d20f46f47c74647ecdae0cc7df8246d4714b1d4f9474ce5d6748d161f1f324c84cb3371bee9945264a93d8e370d04 SHA512 e79c0f4f85364e0693e3931b70c7d6600ce8e1af990e103a2f2b4876653b472be2e20acc8fefda83c70d259661e7c4bcd5e1571fcd909a8fb3a78a924560cab5
+DIST boto3-1.16.40.tar.gz 342028 BLAKE2B 6728b658ee75b76d4885e43316a58508a8563476a85af39462adf58982bfd75a680b05d273a5a0aabd3c935cd87f72d93ffd815d7230b9f44d64337f66de5071 SHA512 4ebe3069fd93657165acd7bab40c44fb37de61326e103b9675f919a0f88ef20341c9efd6fe05684a13e26f10d5b18858a978bbb04225af628df6ff16ad8ab071
diff --git a/dev-python/boto3/boto3-1.16.40.ebuild b/dev-python/boto3/boto3-1.16.40.ebuild
new file mode 100644
index 000000000000..af8cbcbae607
--- /dev/null
+++ b/dev-python/boto3/boto3-1.16.40.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+DISTUTILS_USE_SETUPTOOLS=bdepend
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="https://github.com/boto/boto3"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests nose
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # prevent an infinite loop
+ rm tests/functional/docs/test_smoke.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ nosetests -v tests/unit/ tests/functional/ || die "test failed under ${EPYTHON}"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index c76a354d76cc..6b22af5185ef 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -5,3 +5,4 @@ DIST botocore-1.19.36.tar.gz 7291325 BLAKE2B d1f79298a0f47d704418cac8390a5d500b1
DIST botocore-1.19.37.tar.gz 7335789 BLAKE2B 3df00ad1f0d34f8f8408741b503fafdf9bdaacd9f5b0c52ffbc0b3172e7b0d01e741a076430268c55c39f1fe050a9b8bcc2d183eb54830886c7f3f050a22c408 SHA512 53ff17dcba3e72910709de7fe4504a04a507a708c2674039cfb682276ea7f8f46d3afeadbb41103d02141183d6216aab5964b0df98033cd12946ed1c83373aaf
DIST botocore-1.19.38.tar.gz 7358201 BLAKE2B 16dee2bd0d27996fd761b19918c36de0475c827cb27d0c1505e438436872337f0a5b0ddceb3c4ffb3b5c15592a2aa328f8eec94e2e6ab55aa705299ea847c465 SHA512 51a6c7a0ab950c4a7f0d7859d90c39f30f4be2789b55f520f5318a00878c62a2f5eaa9741e53953d3226a23137415fc4318ca09d37d690e71b8f2078b2662cfe
DIST botocore-1.19.39.tar.gz 7371273 BLAKE2B 574b0dedfbae40d496d5600ca37ec1181e74d48301deacaeca8b1628df1d5bdb3dfcdd0310b3e4860c9f0605cca176dadb4e313040a27521a0c0643ac7d0df0f SHA512 4b8b197a222f70cb136aeeac04178a27c229a2e7a82e42c66ab5f7366039a3d1748290d59df14db9039016247782c8f144757890e9fa0ebef4ea61f81931600f
+DIST botocore-1.19.40.tar.gz 7371480 BLAKE2B afd861d013b78487ff2a6d47a531536f3928c6e21dc88dc1a203d90e335c688a530bc9b253f325a641f4b31fc592dcec39d880e1962118b22a170229c54dbd29 SHA512 9d59a80864926a6ffcee7bd35ae1bc70cb5c373eba97318737f8485d8dc45a3efb4719dd6de64ced58077462eae445862708c04f2e936da6bf1fd7a0c24b3401
diff --git a/dev-python/botocore/botocore-1.19.40.ebuild b/dev-python/botocore/botocore-1.19.40.ebuild
new file mode 100644
index 000000000000..7bbd989ca3a9
--- /dev/null
+++ b/dev-python/botocore/botocore-1.19.40.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="https://github.com/boto/botocore"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/jmespath[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch"
+)
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests nose
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+ # very unstable
+ sed -i -e 's:test_stress_test_token_bucket:_&:' \
+ tests/functional/retries/test_bucket.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ # note: suites need to be run separately as one of the unit tests
+ # seems to be leaking mocks and breaking a few functional tests
+ nosetests -v tests/unit ||
+ die "unit tests failed under ${EPYTHON}"
+ nosetests -v tests/functional ||
+ die "functional tests failed under ${EPYTHON}"
+}
diff --git a/dev-python/cfn-python-lint/Manifest b/dev-python/cfn-python-lint/Manifest
index b4efda6d9545..0fc2cdca1af1 100644
--- a/dev-python/cfn-python-lint/Manifest
+++ b/dev-python/cfn-python-lint/Manifest
@@ -3,3 +3,4 @@ DIST cfn-python-lint-0.41.0.tar.gz 5192401 BLAKE2B 1f4c491446b552272cb9fea46d9d0
DIST cfn-python-lint-0.42.0.tar.gz 5307120 BLAKE2B f54c4ae7fcefa6b56714a0cfdf89d9fbce20078daac0784c6169dfbe1a110da699e37b526f306ed9734504fb3387c660ccb997748579b65afe01438124361383 SHA512 ce2e6a0031e3d67953da6f5dc96f0b155f1a1144bee75a8a476490eca69fdb700c8a3d6fd89b0afa4c8d724956e5f86bc48417035d7c94f3eed00abda47f9931
DIST cfn-python-lint-0.43.0.tar.gz 5329573 BLAKE2B 94ea659e3df02fb3b269984cdf6d879d0e2719aadf3c95f15c2982606cde220493da0a7e34e16538170f96a2611e8693dbad73033bd842e91de613c8cdcb2009 SHA512 fdde4cdffd01d1e8011f44b4eaec0bfe28f2189f53bdc3054d563cf4657c5f828751d8a12e2050d8e04687fe05bf768b5db8cbd27d2ed1c5e0d8967ede70d0ae
DIST cfn-python-lint-0.44.0.tar.gz 5339555 BLAKE2B 880f03384247f4d6af1e87850b367bdc0846e00205aa943480a3028760115e36b3f6180f536a7b16b9a1aaf9f824ceaea5ab69b7adb1da3f345506c0268b55c0 SHA512 15ee6cc0cb373f7104d9c32acb06433b5669ae89997de010f1c4f382514481f1c6b87ceb387236275299e13e63aae1a5345e71ee934f2d99c1b66e566e1ef245
+DIST cfn-python-lint-0.44.1.tar.gz 5339578 BLAKE2B 7982cba9fe422a8323c6ea270bd7ff5f41800cc16ceaa39d9fc01c2929cda5cca3b19c45de50ca8338a56aad001c834e16bfbd0ab59140381b5189e28965ba38 SHA512 b7f9ad598411d89979334aa79c7b4667ede28eef82b0b546977ba10f33f57e89366d1448e8ceeb3f28a2e53b33a409c439c3faf7d10f53fc5819f6b8693e117d
diff --git a/dev-python/cfn-python-lint/cfn-python-lint-0.44.1.ebuild b/dev-python/cfn-python-lint/cfn-python-lint-0.44.1.ebuild
new file mode 100644
index 000000000000..439b81c417ed
--- /dev/null
+++ b/dev-python/cfn-python-lint/cfn-python-lint-0.44.1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+inherit distutils-r1
+
+DESCRIPTION="CloudFormation Linter"
+HOMEPAGE="https://pypi.org/project/cfn-lint/ https://github.com/aws-cloudformation/cfn-python-lint"
+SRC_URI="https://github.com/aws-cloudformation/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/aws-sam-translator-1.25.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/importlib_resources[${PYTHON_USEDEP}]
+ ' python3_6)
+ dev-python/jsonpatch[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+ dev-python/junit-xml[${PYTHON_USEDEP}]
+ dev-python/networkx[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.15.0[${PYTHON_USEDEP}]
+ >=dev-python/six-1.11[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests --install unittest
+
+PATCHES=(
+ "${FILESDIR}/cfn-python-lint-0.30.1-tests.patch"
+)
+
+src_prepare() {
+ # unpin the deps
+ sed -e 's:~=[0-9.]*::' -i setup.py || die
+ # requires git checkout
+ sed -e 's:test_update_docs:_&:' \
+ -i test/unit/module/maintenance/test_update_documentation.py || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/clang-python/Manifest b/dev-python/clang-python/Manifest
index d36c99982c35..49b4c28bfcaa 100644
--- a/dev-python/clang-python/Manifest
+++ b/dev-python/clang-python/Manifest
@@ -1,4 +1,5 @@
DIST llvmorg-10.0.1.tar.gz 120880730 BLAKE2B 30f19f56c4d1f6abcda5fec76256219d1e3c8a6ff1a1f152f94bfe362c07884339fe571ff7fe903ed3b3deb150b2fa868c387887a0dea2930dc08b81db71a5b1 SHA512 48078fff9293a87f1a973f3348f79506f04c3da774295f5eb67d74dd2d1aa94f0973f8ced3f4ab9e8339902071f82c603b43d5608ad7227046c4da769c5d2151
DIST llvmorg-11.0.0.tar.gz 122743665 BLAKE2B 3f95570240789fd68ddb747df817f5c6cdc9da40911bbe9ee3531c15ada9165e5002b1c2f778cf8735858485ea05a8754e3d3a5f4b15bdd6cb33d64a14692984 SHA512 b6d38871ccce0e086e27d35e42887618d68e57d8274735c59e3eabc42dee352412489296293f8d5169fe0044936345915ee7da61ebdc64ec10f7737f6ecd90f2
DIST llvmorg-11.0.1-rc1.tar.gz 122777435 BLAKE2B 23b520d33cf4b641027ee52bb10c6171d60356c9167d5b94012929e6e547c526cda1a6177c295ed19592dfb83b020f63b2cef4cabc70ce9a2a8e098fe654a3cd SHA512 605c7bbff1610f335be8ea4f1204df797fed21185a54c77565f6ff2d00794d1967e9c5fab7c87633e242f2f999bdffb76da83f756d261c1ca476114599409ae1
+DIST llvmorg-11.0.1-rc2.tar.gz 122793330 BLAKE2B 5d42f7bd7ba253ac3ca08cf9901c79db5b51b86f0f66c8e63f4f9808ca5fb72cacccfad098b4f6701a34b0d77bdd66fe3839a3962a251eae53776240a2e13b06 SHA512 acda5a5be38cc8aae730c34cd1bb8f29a82e2ed3dd9734ca293ff092d5b30c8c255ab3054245b8f6ed541d5dbf8bc674b744bb2f81788db8826f69a204dda0c3
DIST llvmorg-9.0.1.tar.gz 113193320 BLAKE2B b86e405f2b8e00436045fd409fe19cdde75c797b1192c62a22b5ec75e6b4dc8e874a0f33008dc31562445e4cbe53a992b6f48c684255a6a1ef261e595b8b161f SHA512 fa88beeaae94b6d0cd9b5ba38658d0ffed8004035d7d8a4f95c3d31a709b88b581ae9bd7761333c8e5375c44b8f6be01768b5a3be901163159d7e6c43b71da59
diff --git a/dev-python/clang-python/clang-python-11.0.1_rc2.ebuild b/dev-python/clang-python/clang-python-11.0.1_rc2.ebuild
new file mode 100644
index 000000000000..67e212aefbf7
--- /dev/null
+++ b/dev-python/clang-python/clang-python-11.0.1_rc2.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit llvm.org python-r1
+
+DESCRIPTION="Python bindings for sys-devel/clang"
+HOMEPAGE="https://llvm.org/"
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0"
+KEYWORDS=""
+IUSE="test"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+RESTRICT="!test? ( test )"
+
+# The module is opening libclang.so directly, and doing some blasphemy
+# on top of it.
+RDEPEND="
+ >=sys-devel/clang-${PV}:*
+ !sys-devel/llvm:0[clang(-),python(-)]
+ !sys-devel/clang:0[python(-)]
+ ${PYTHON_DEPS}"
+DEPEND="${RDEPEND}"
+
+LLVM_COMPONENTS=( clang/bindings/python )
+llvm.org_set_globals
+
+python_test() {
+ "${EPYTHON}" -m unittest discover -v || die "Tests fail with ${EPYTHON}"
+}
+
+src_test() {
+ python_foreach_impl python_test
+}
+
+src_install() {
+ python_foreach_impl python_domodule clang
+}
diff --git a/dev-python/lit/Manifest b/dev-python/lit/Manifest
index d36c99982c35..49b4c28bfcaa 100644
--- a/dev-python/lit/Manifest
+++ b/dev-python/lit/Manifest
@@ -1,4 +1,5 @@
DIST llvmorg-10.0.1.tar.gz 120880730 BLAKE2B 30f19f56c4d1f6abcda5fec76256219d1e3c8a6ff1a1f152f94bfe362c07884339fe571ff7fe903ed3b3deb150b2fa868c387887a0dea2930dc08b81db71a5b1 SHA512 48078fff9293a87f1a973f3348f79506f04c3da774295f5eb67d74dd2d1aa94f0973f8ced3f4ab9e8339902071f82c603b43d5608ad7227046c4da769c5d2151
DIST llvmorg-11.0.0.tar.gz 122743665 BLAKE2B 3f95570240789fd68ddb747df817f5c6cdc9da40911bbe9ee3531c15ada9165e5002b1c2f778cf8735858485ea05a8754e3d3a5f4b15bdd6cb33d64a14692984 SHA512 b6d38871ccce0e086e27d35e42887618d68e57d8274735c59e3eabc42dee352412489296293f8d5169fe0044936345915ee7da61ebdc64ec10f7737f6ecd90f2
DIST llvmorg-11.0.1-rc1.tar.gz 122777435 BLAKE2B 23b520d33cf4b641027ee52bb10c6171d60356c9167d5b94012929e6e547c526cda1a6177c295ed19592dfb83b020f63b2cef4cabc70ce9a2a8e098fe654a3cd SHA512 605c7bbff1610f335be8ea4f1204df797fed21185a54c77565f6ff2d00794d1967e9c5fab7c87633e242f2f999bdffb76da83f756d261c1ca476114599409ae1
+DIST llvmorg-11.0.1-rc2.tar.gz 122793330 BLAKE2B 5d42f7bd7ba253ac3ca08cf9901c79db5b51b86f0f66c8e63f4f9808ca5fb72cacccfad098b4f6701a34b0d77bdd66fe3839a3962a251eae53776240a2e13b06 SHA512 acda5a5be38cc8aae730c34cd1bb8f29a82e2ed3dd9734ca293ff092d5b30c8c255ab3054245b8f6ed541d5dbf8bc674b744bb2f81788db8826f69a204dda0c3
DIST llvmorg-9.0.1.tar.gz 113193320 BLAKE2B b86e405f2b8e00436045fd409fe19cdde75c797b1192c62a22b5ec75e6b4dc8e874a0f33008dc31562445e4cbe53a992b6f48c684255a6a1ef261e595b8b161f SHA512 fa88beeaae94b6d0cd9b5ba38658d0ffed8004035d7d8a4f95c3d31a709b88b581ae9bd7761333c8e5375c44b8f6be01768b5a3be901163159d7e6c43b71da59
diff --git a/dev-python/lit/lit-11.0.1_rc2.ebuild b/dev-python/lit/lit-11.0.1_rc2.ebuild
new file mode 100644
index 000000000000..d2a3a65de8f4
--- /dev/null
+++ b/dev-python/lit/lit-11.0.1_rc2.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1 llvm.org
+
+DESCRIPTION="A stand-alone install of the LLVM suite testing tool"
+HOMEPAGE="https://llvm.org/"
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0"
+KEYWORDS=""
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+# Tests require 'FileCheck' and 'not' utilities (from llvm)
+BDEPEND="
+ test? (
+ dev-python/psutil[${PYTHON_USEDEP}]
+ sys-devel/llvm )"
+
+LLVM_COMPONENTS=( llvm/utils/lit )
+llvm.org_set_globals
+
+# TODO: move the manpage generation here (from sys-devel/llvm)
+
+src_prepare() {
+ cd "${WORKDIR}" || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local -x LIT_PRESERVES_TMP=1
+ local litflags=$(get_lit_flags)
+ ./lit.py ${litflags//;/ } tests || die
+}
diff --git a/dev-python/msgpack/Manifest b/dev-python/msgpack/Manifest
index 6a0fd07fa5a5..945cb82badcf 100644
--- a/dev-python/msgpack/Manifest
+++ b/dev-python/msgpack/Manifest
@@ -1,3 +1,4 @@
DIST msgpack-0.6.2.tar.gz 119062 BLAKE2B 6b20a0d31b811ae66e66dbfaacec6f0cf2152b2937423b78f3e6244bfa49c87767788c5ee1db41b9020801b8777a4c15b1fe1853182718adf622bc7e1bff858e SHA512 95b92e3d35e0500dd4256d18bf76e586e57cc66319b4459ac5daef599277a5049177a89ad86e291dbdc4c7a918901a89d9218353ddc4a7d0b399e8a98afef363
DIST msgpack-1.0.0.tar.gz 232331 BLAKE2B ab7b3aede06c31e0cf70a7f7fbdf2b1dddd89aa2d5d9847b11117c66a2f4572ac468674cdbcaf79bc571278f02429d223aeeb0ea8cb50c31ad251142642cc05f SHA512 6dc168b111cd37807e8e8a09840d1b116d7f38d56f4622b9d36ab7dbd983ebe2f34e763f48c6348148c6945c9f1c9a0f83f5f03e12d12bc18f7b8e0cbd669f87
DIST msgpack-1.0.1.tar.gz 123151 BLAKE2B 4f040d6e292c588f20043e0091702e9a848d94357784ec7ef7a2ed2d1b5a08cae0bfea4a16cbb67e32b071260f25a43b0507d154ba7f6e180e65a60e3a2b4e9c SHA512 87412cc4022ce7ec82cfe376fbb3c663e5b7a430c2178cacbfe95b35489d95f314bdaf83a6170a7956f42939535ada3c5cbe45c6d7c105410494fe7e9a5cb870
+DIST msgpack-1.0.2.tar.gz 123033 BLAKE2B 8ecf743f5cae536bde9328974827e48376fdfbcaf4d3493fe295a114fd0de4c7dc2629d67a0abf6ece036131715587d2eeaefde0ea9614779a64015ea7fc2be8 SHA512 afe658c2cd5b443aae8fc3305eb3fd56811130062f95e283e3538cba27949d534de60171a927426fedb23b48a938de3f15d77057beda6c73e5204ef1130cd046
diff --git a/dev-python/msgpack/msgpack-1.0.2.ebuild b/dev-python/msgpack/msgpack-1.0.2.ebuild
new file mode 100644
index 000000000000..d33ff4300343
--- /dev/null
+++ b/dev-python/msgpack/msgpack-1.0.2.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="MessagePack (de)serializer for Python"
+HOMEPAGE="https://msgpack.org
+ https://github.com/msgpack/msgpack-python/
+ https://pypi.org/project/msgpack/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~x86 ~x64-macos"
+IUSE="+native-extensions"
+
+# extension code is relying on CPython implementation details
+BDEPEND="
+ native-extensions? (
+ $(python_gen_cond_dep '>=dev-python/cython-0.16[${PYTHON_USEDEP}]' 'python*')
+ )
+ test? ( dev-python/six[${PYTHON_USEDEP}] )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # Remove pre-generated cython files
+ rm msgpack/_cmsgpack.cpp || die
+
+ if ! use native-extensions ; then
+ sed -i -e "/have_cython/s:True:False:" setup.py || die
+ fi
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/pysimdjson/pysimdjson-3.1.1.ebuild b/dev-python/pysimdjson/pysimdjson-3.1.1-r1.ebuild
index 54d8ac552454..f9707359d3de 100644
--- a/dev-python/pysimdjson/pysimdjson-3.1.1.ebuild
+++ b/dev-python/pysimdjson/pysimdjson-3.1.1-r1.ebuild
@@ -18,6 +18,6 @@ RDEPEND="
dev-libs/simdjson
"
BDEPEND="
- dev-python/pybind11[${PYTHON_USEDEP}]
+ >=dev-python/pybind11-2.6.1[${PYTHON_USEDEP}]
"
distutils_enable_tests pytest
diff --git a/dev-python/sqlalchemy/Manifest b/dev-python/sqlalchemy/Manifest
index 58370d601971..82ab03588f54 100644
--- a/dev-python/sqlalchemy/Manifest
+++ b/dev-python/sqlalchemy/Manifest
@@ -1,3 +1,4 @@
DIST SQLAlchemy-1.3.17.tar.gz 5979141 BLAKE2B f0fa46493461f532ebca9420fc9f49a2c04af888aa99653946a5bb563d40b8bb714a03301300ebb80cca76a99f8226ddfcde4216e8fc2593d3a161b5072276ab SHA512 6f6d54b9018ece6c289f28a3a41ffb1b2216206edee08c49f387e9f30740969dfe0f8272654ce4efca159a2a6619e76c41b2ad2b10c391cdd64681ac17d0bc79
DIST SQLAlchemy-1.3.20.tar.gz 6264898 BLAKE2B 4c386eff56c2f9ec7ef467e3bc0032629582a970707dc11e3744fe3903d9cb18457f5e0be4dc9c20727b5733f158e031bf8b40f586dadb8f4ab8d0cae3cf7398 SHA512 29c52ada1a66f906ed2563df2ab093eceb7c09de45749c96031f30a1512d20b1d698e00640c777169ef3db99ab012151770a3daea45a51df934269b554ff4b28
DIST SQLAlchemy-1.3.21.tar.gz 6297278 BLAKE2B 39bd440eec25adc3ec81eaf55d2b97ecb328da4fd6e78dca17a94548a34336a8ef01a1dd0b4565794f4647d3bb4a98803873990c2e0df865216ed57fbe67ba1c SHA512 50ea60b849e6f043507728482dc1a90faea853c3fb16affe1d68197903578cb31f26b3543f4671be6aec2a705343193bfa7579e8d417e74c92ee104af4fba753
+DIST SQLAlchemy-1.3.22.tar.gz 6300186 BLAKE2B 5b788ddadef0b68f440c5c7584320dd0a71d43e288febf0cb35c4683052be0f46174ac17b7c8b22ad0461f1e5f55ef5e6dbb149c49d727c3b42b49f48eb7589d SHA512 5e43af97dd93af8174f14575c8238a72153afa4dbe56503cf934de9f783ea15ad27b25523c147191bd2ec89e25baafab5f5d9c34a29f71eaf4e2de49af5bb887
diff --git a/dev-python/sqlalchemy/sqlalchemy-1.3.22.ebuild b/dev-python/sqlalchemy/sqlalchemy-1.3.22.ebuild
new file mode 100644
index 000000000000..9941c7bb1a61
--- /dev/null
+++ b/dev-python/sqlalchemy/sqlalchemy-1.3.22.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+PYTHON_REQ_USE="sqlite?"
+
+inherit distutils-r1 optfeature
+
+MY_PN="SQLAlchemy"
+MY_P="${MY_PN}-${PV/_beta/b}"
+
+DESCRIPTION="Python SQL toolkit and Object Relational Mapper"
+HOMEPAGE="https://www.sqlalchemy.org/ https://pypi.org/project/SQLAlchemy/"
+SRC_URI="mirror://pypi/${MY_P:0:1}/${MY_PN}/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris"
+IUSE="examples +sqlite test"
+
+# Use pytest-xdist to speed up tests
+BDEPEND="
+ test? (
+ $(python_gen_impl_dep sqlite)
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ # Ported part of those commits to fix failing tests:
+ # https://github.com/sqlalchemy/sqlalchemy/commit/c68f9fb87868c45fcadcc942ce4a35f10ff2f7ea
+ # https://github.com/sqlalchemy/sqlalchemy/commit/a9b068ae564e5e775e312373088545b75aeaa1b0
+ # https://github.com/sqlalchemy/sqlalchemy/commit/9e31fc74089cf565df5f275d22eb8ae5414d6e45
+ "${FILESDIR}/sqlalchemy-1.3.20-pypy3.patch"
+)
+
+distutils_enable_tests pytest
+
+python_test() {
+ # Use all CPUs with pytest-xdist
+ pytest -n auto -vv || die "Tests failed with ${EPYTHON}"
+}
+
+python_prepare_all() {
+ # Disable tests hardcoding function call counts specific to Python versions.
+ rm -r test/aaa_profiling || die
+ distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+ if use examples; then
+ docompress -x "/usr/share/doc/${PF}/examples"
+ dodoc -r examples
+ fi
+
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ optfeature "MySQL support" dev-python/mysqlclient dev-python/pymysql \
+ dev-python/mysql-connector-python
+ optfeature "mssql support" dev-python/pymssql
+ optfeature "postgresql support" dev-python/psycopg:2
+}
diff --git a/dev-python/watchdog/Manifest b/dev-python/watchdog/Manifest
index 85ac3c02f1c3..8298977c347a 100644
--- a/dev-python/watchdog/Manifest
+++ b/dev-python/watchdog/Manifest
@@ -3,3 +3,4 @@ DIST watchdog-0.10.4.tar.gz 90303 BLAKE2B 0c057fe35383deaa6b7a66c24c07b2260153e9
DIST watchdog-0.10.5.tar.gz 91432 BLAKE2B 0f10a94edf4cb79d68b83f0cc6eebc1eae9a00a0fd7b8164977a2511b952b6dda9d0b26404ef316a57524f948eb6676a5da65bb711530f64a4a37ab82576b9a9 SHA512 b107fe23b123360ba8ad049576bdbbb40061c70157bee0663bcf9ee9a9a9f65b95234540a477ba9ae6d617199ca1d77fe30b3b9dc4868bfef08a6b9099d6fe51
DIST watchdog-0.8.3.tar.gz 83154 BLAKE2B d5d0635e83bbcd31544d5ea5811c2f202b0da76bd7a4086e8fc61e3293640e701b04599f95decaa82bee3705dbd6b91ad24b9dbd20edcfc329913600c8a3c932 SHA512 61f1db886e8e9a6d78b569329f4d5944c296778a5a34f94fbf115a748fb4c3be422bf4d3cc828e22fcdcd380fdf9009f5bd91a8a5edc87089afc58297a0b946f
DIST watchdog-1.0.0.tar.gz 89861 BLAKE2B 79734397fc91e3c733fd28e8c607c07265230f8e7949b07e4236e4fe38af48cd0f758270990b384ccee88bc88311291cc3758f29296edda2dff06dc757d6d492 SHA512 e89f34aba7547022a48ff16e36e6a2eea340e80a4b1e1f8657d4e70d4a451ac43351aafc76978fb4241c583df11c2dd6c53cb1a03c43c2734f4a8a07d5b2604f
+DIST watchdog-1.0.2.tar.gz 91796 BLAKE2B 001cbe82ff8aff0c4e56e4d1f02519047580cccb48466566ad7c9c1f462f90a9a036cf90846eb38ec4fb24ff1df2a1ddfec20b3f0587afdc1f938ada1bb0b1ef SHA512 e87a0955ce822daabd7d030804876698f98ed2aad58486e26a94585763655302063f091b653abd385ea99642361b6253d8e051d96019b243a77b078ba86b0d6e
diff --git a/dev-python/watchdog/watchdog-1.0.2.ebuild b/dev-python/watchdog/watchdog-1.0.2.ebuild
new file mode 100644
index 000000000000..2f8d278e0dd2
--- /dev/null
+++ b/dev-python/watchdog/watchdog-1.0.2.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1 optfeature
+
+DESCRIPTION="Python API and shell utilities to monitor file system events"
+HOMEPAGE="https://github.com/gorakhargosh/watchdog"
+SRC_URI="https://github.com/gorakhargosh/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~x86"
+
+CDEPEND="dev-python/pyyaml[${PYTHON_USEDEP}]"
+RDEPEND="${CDEPEND}
+ dev-python/argh[${PYTHON_USEDEP}]"
+DEPEND="${CDEPEND}
+ test? (
+ >=dev-python/pytest-timeout-0.3[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/--cov/d' setup.cfg || die
+ # broken when django is installed
+ sed -i -e 's:test_eventlet_monkey_patching:_&:' \
+ tests/test_skip_repeats_queue.py || die
+ default
+}
+
+pkg_postinst() {
+ optfeature "Bash completion" dev-python/argcomplete
+}